Subject: Re: link against .lib
From: [email-masked] (Earnie Boyd)

28 Oct 1998 17:21:44 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: T-ONLINE <[email-masked]>, [email-masked]

gnu-win32 does not support the Borland product objects.  Borland
objects are a different data format that MS product objects.

---T-ONLINE <[email-masked]> wrote:
>
> I've got a linker-problem with a .lib that cannot be solved by the
>  explanations in your faq (www.cygnus.com/mis/gnu-win32/faq.html)!
> 
> situation: there's a slpapi32.dll and slpapi32.lib for operations
> 	   on a label-printer. these are generated with borland c++.
> 	   further there's a c-program for the printer.
> 	   i want do change and modify its source code (the name is
> 	   'apitest.cpp' - look a the print-out below), re-compile and
> 	   re-link with 'g++'.
> 
> problem: i cannot link against slpapi32.dll or slpapi32.lib, as
follows
> 
> This is the MS-DOS-Printout:
> 
>  C:\home\david\Slp>g++ -c apitest2.cpp 
> 
>  C:\home\david\Slp>gcc -o apitest2 apitest2.o
>  apitest2.o(.text+0x89):apitest2.cc: undefined reference to
> `SlpCreateFont@12'
>  apitest2.o(.text+0x9c):apitest2.cc: undefined reference to
> `SlpCreateFont@12'
>  apitest2.o(.text+0xaf):apitest2.cc: undefined reference to
> `SlpCreateFont@12'
>  apitest2.o(.text+0xbd):apitest2.cc: undefined reference to
> `SlpSetLabelType@8'
>  apitest2.o(.text+0xc2):apitest2.cc: undefined reference to
> `SlpNewLabel@0'
>  apitest2.o(.text+0xd4):apitest2.cc: undefined reference to
> `SlpDrawTextXY@16'
>  apitest2.o(.text+0xe6):apitest2.cc: undefined reference to
> `SlpDrawTextXY@16'
>  apitest2.o(.text+0xf8):apitest2.cc: undefined reference to
> `SlpDrawTextXY@16'
>  apitest2.o(.text+0x101):apitest2.cc: undefined reference to
> `SlpDeleteFont@4'
>  apitest2.o(.text+0x10a):apitest2.cc: undefined reference to
> `SlpDeleteFont@4'
>  apitest2.o(.text+0x113):apitest2.cc: undefined reference to
> `SlpDeleteFont@4'
>  gcc: Internal compiler error: program ld got fatal signal 1
> 
> **O.K.
> 
> **AND THEN:
> 
>  C:\home\david\Slp>gcc -o apitest2 apitest2.o -lslpapi32.lib
>  /gnuwin32/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: cannot open
> -lslpapi32.lib:
>  No such file or directory
>  gcc: Internal compiler error: program ld got fatal signal 1
> 
>  C:\home\david\Slp>gcc -o apitest2 apitest2.o -lslpapi32
>  /gnuwin32/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: cannot open
> -lslpapi32: No s
>  uch file or directory
>  gcc: Internal compiler error: program ld got fatal signal 1
> 
>  C:\home\david\Slp>gcc -o apitest2 apitest2.o -L. -lslpapi32
>  /gnuwin32/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: cannot open
> -lslpapi32: No s
>  uch file or directory
>  gcc: Internal compiler error: program ld got fatal signal 1
> 
>  C:\home\david\Slp>gcc -o apitest2 apitest2.o -L. -lSlpapi32.lib
>  /gnuwin32/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: cannot open
> -lSlpapi32.lib:
>  No such file or directory
>  gcc: Internal compiler error: program ld got fatal signal 1
> 
>  C:\home\david\Slp>gcc -o apitest2 apitest2.o -L. Slpapi32.lib
>  Slpapi32.lib: file not recognized: File format not recognized
>  gcc: Internal compiler error: program ld got fatal signal 1
> 
> 
> *Can you help!?
> 
> please reply via e-mail, 'cause i'm not yet subscribed to your
> mailinglist.
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".